Text Classification
curl --request POST \
--url https://api.ragbuddy.ai/tc/{version} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'helvia-rag-buddy-token: <helvia-rag-buddy-token>' \
--data '
{
"remote_llm_url": "<string>",
"user_message": "<string>",
"system_instructions": "<string>"
}
'import requests
url = "https://api.ragbuddy.ai/tc/{version}"
payload = {
"remote_llm_url": "<string>",
"user_message": "<string>",
"system_instructions": "<string>"
}
headers = {
"helvia-rag-buddy-token": "<helvia-rag-buddy-token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'helvia-rag-buddy-token': '<helvia-rag-buddy-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
remote_llm_url: '<string>',
user_message: '<string>',
system_instructions: '<string>'
})
};
fetch('https://api.ragbuddy.ai/tc/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"role": "<unknown>",
"function_call": {
"arguments": "<string>",
"name": "<string>"
},
"tool_calls": [
{
"id": "<string>",
"function": {
"arguments": "<string>",
"name": "<string>"
},
"type": "<unknown>"
}
]
}
}
],
"created": 123,
"model": "<string>",
"object": "<unknown>",
"system_fingerprint": "<string>",
"usage": {
"completion_tokens": 123,
"prompt_tokens": 123,
"total_tokens": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Endpoints
Text Classification
RAG-Buddy API endpoint for the Text-Classification use case.
POST
/
tc
/
{version}
Text Classification
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Version of the API to use
Allowed value:
"v1"Body
application/json
⌘I